<template>
    <form @submit.prevent="submit" method="post">

        <div class='input-wrapper'>
            <label>Adresse E-mail</label>
            <input type="email" name="email" v-model="user.email"/>
        </div>

        <div class='input-wrapper'>
            <label>Mot de passe</label>
            <input type="password" name="password" v-model="user.password"/>
        </div>

        <div class='input-wrapper'>
            <label>confirmation du mot de passe</label>
            <input type="password" name="password_confirmation" />
        </div>

        <button type="submit">Inscription</button>

    </form>
</template>

<script>

import axios from 'axios'

export default{
    data(){
        return{
            user: {
                email: '',
                password: '',
                premium: 0,
                isAdmin: 0
            }
        }
    },
    methods:{
        submit(){
            axios.post('http://localhost:8000/api/users/register', this.user)
            .then(res =>{
                console.log(res)
                this.$router.push('/login')
            })
        }
    }

}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
*{
    box-sizing: border-box;
}

form{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 1rem;
    font-family: poppins;
}

.input-wrapper{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    margin: 0 0 16px 0;
}

input{
    width: 100%;
    height: 40px;
    padding: 8px 16px;
    font-size: 1rem;
    border-radius: 10px;
    border: 1px solid #b5e8ff;
    color: #556D95;
    outline-color: #2370b9;
}

label{
    margin: 0 0 4px 0;
}

button{
    border: none;
    padding: 12px 35px;
    margin: 0 auto;
    font-family: poppins;
    color: #fff;
    border-radius: 10px;
    background-image: linear-gradient(90deg, #376fd8, 50%, #10e0fc 100%);
    background-size: 200% 100%;
    background-position: 100% 100%;
    transition: background-position 256ms;
    will-change: background-position;
    cursor: pointer;
}

button:hover{
    background-position: 0% 200%;
}
</style>
